## Important Values for Reference
# ~ ~ ~-1 North
# ~1 ~ ~ East
# ~ ~ ~1 South
# ~-1 ~ ~ West
# 1 North
# 2 North East
# 3 East
# 4 South East
# 5 South
# 6 South West
# 7 West
# 8 North West

## Storing the Nearest Target
tag @e[type=#apocalypse:zombie_targets,tag=!a_literal_pig,tag=!gbz.non_targetable,limit=1,sort=nearest] add gbz.nearest_target

## Getting Positions of Relevant Entities
#Pos of Self
execute store result score @s PX1 run data get entity @s Pos[0]
execute store result score @s PY1 run data get entity @s Pos[1]
execute store result score @s PZ1 run data get entity @s Pos[2]
#Pos of Nearest Target
execute store result score @e[tag=gbz.nearest_target,limit=1,distance=..50] PX2 run data get entity @e[tag=gbz.nearest_target,limit=1,distance=..50] Pos[0]
execute store result score @e[tag=gbz.nearest_target,limit=1,distance=..50] PY2 run data get entity @e[tag=gbz.nearest_target,limit=1,distance=..50] Pos[1]
execute store result score @e[tag=gbz.nearest_target,limit=1,distance=..50] PZ2 run data get entity @e[tag=gbz.nearest_target,limit=1,distance=..50] Pos[2]

## X Value Calculations
scoreboard players set @s PTMP 0
scoreboard players operation @s PTMP += @s PX1
scoreboard players operation @s PTMP -= @e[tag=gbz.nearest_target,limit=1,distance=..50] PX2
#east
execute if score @s PTMP matches 0.. run scoreboard players set @s P_DIRECTION 3
#west
execute if score @s PTMP matches ..0 run scoreboard players set @s P_DIRECTION 7
#assuming north
execute if score @s PTMP matches 0 run scoreboard players set @s P_DIRECTION 1

## Z Value Calculations
scoreboard players set @s PTMP 0
scoreboard players operation @s PTMP += @s PZ1
scoreboard players operation @s PTMP -= @e[tag=gbz.nearest_target,limit=1,distance=..50] PZ2

# Target is to west
#north east
execute if score @s PTMP matches 0.. if score @s P_DIRECTION matches 7 run scoreboard players set @s P_DIRECTION 2
#south east
execute if score @s PTMP matches ..0 if score @s P_DIRECTION matches 7 run scoreboard players set @s P_DIRECTION 4
# Target is to east
#north west
execute if score @s PTMP matches 0.. if score @s P_DIRECTION matches 3 run scoreboard players set @s P_DIRECTION 8
#south west
execute if score @s PTMP matches ..0 if score @s P_DIRECTION matches 3 run scoreboard players set @s P_DIRECTION 6
# If was assumed north, figure out if they are actually south
execute if score @s PTMP matches ..0 if score @s P_DIRECTION matches 1 run scoreboard players set @s P_DIRECTION 5

## Y Value Calculations
scoreboard players set @s PTMP 0
scoreboard players operation @s PTMP += @s PY1
scoreboard players operation @s PTMP -= @e[tag=gbz.nearest_target,limit=1,distance=..50] PY2
#Target is below
execute if score @s PTMP matches ..0 run scoreboard players set @s ABOVE_BELOW 1
#Target is above
execute if score @s PTMP matches 0.. run scoreboard players set @s ABOVE_BELOW 2
#Target is on the same level
execute if score @s PTMP matches 0 run scoreboard players set @s ABOVE_BELOW 3

## Follow-Up Commands & Functions
scoreboard players set @s gbz.ability_timer 60
tag @e[tag=gbz.nearest_target,limit=1,distance=..50] remove gbz.nearest_target
execute if entity @s[tag=gbz.builder] run function apocalypse:zombie_abilities/builder/builder
execute if entity @s[tag=gbz.miner] run function apocalypse:zombie_abilities/miner/sort
execute if entity @s[tag=gbz.water_builder] run function apocalypse:zombie_abilities/builder/water_builder

