# Only runs when the player directly calls the function
tellraw @s ["------- ",{"text":"GBZ Config Menu","color":"gold", "bold":true}," -------"]

tellraw @s ["--- ",{"text":"Difficulty","color":"#f6d253"}," ---"]


execute if score current_difficulty gbz.difficulty matches 1 run tellraw @a ["",{"text":"[Easy]","bold":true,"color":"green","click_event":{"action":"run_command","command":"/function config:z/difficulty/easy"}},{"text":" "},{"text":"[Normal]","color":"#988054","click_event":{"action":"run_command","command":"/function config:z/difficulty/normal"}},{"text":" ","color":"gray"},{"text":"[Hard]","color":"#B26C75","click_event":{"action":"run_command","command":"/function config:z/difficulty/hard"}}]
execute if score current_difficulty gbz.difficulty matches 2 run tellraw @a ["",{"text":"[Easy]","color":"#92c188","click_event":{"action":"run_command","command":"/function config:z/difficulty/easy"}},{"text":" "},{"text":"[Normal]","color":"gold","bold":true,"click_event":{"action":"run_command","command":"/function config:z/difficulty/normal"}},{"text":" ","color":"gray"},{"text":"[Hard]","color":"#B26C75","click_event":{"action":"run_command","command":"/function config:z/difficulty/hard"}}]
execute if score current_difficulty gbz.difficulty matches 3 run tellraw @a ["",{"text":"[Easy]","color":"#92c188","click_event":{"action":"run_command","command":"/function config:z/difficulty/easy"}},{"text":" "},{"text":"[Normal]","color":"#988054","click_event":{"action":"run_command","command":"/function config:z/difficulty/normal"}},{"text":" ","color":"gray"},{"text":"[Hard]","color":"red","bold":true,"click_event":{"action":"run_command","command":"/function config:z/difficulty/hard"}}]
execute if score current_difficulty gbz.difficulty matches 4.. run tellraw @a ["",{"text":"[Easy]","color":"#92c188","click_event":{"action":"run_command","command":"/function config:z/difficulty/easy"}},{"text":" "},{"text":"[Normal]","color":"#988054","click_event":{"action":"run_command","command":"/function config:z/difficulty/normal"}},{"text":" ","color":"gray"},{"text":"[Hard]","color":"#B26C75","click_event":{"action":"run_command","command":"/function config:z/difficulty/hard"}}]

execute if score current_difficulty gbz.difficulty matches ..3 run tellraw @a ["",{"text":"[☠ Nightmare ☠]","color":"#5A3435","click_event":{"action":"run_command","command":"/function config:z/difficulty/nightmare"}},{"text":" "},{"text":"[🏃 Mutation 🏃]","color":"#1b1f24","hover_event":{"action":"show_text","value":"Still in development"}}]
execute if score current_difficulty gbz.difficulty matches 4 run tellraw @a ["",{"text":"[☠ Nightmare ☠]","color":"dark_red","bold":true,"click_event":{"action":"run_command","command":"/function config:z/difficulty/nightmare"}},{"text":" "},{"text":"[🏃 Mutation 🏃]","color":"#1b1f24","hover_event":{"action":"show_text","value":"Still in development"}}]


tellraw @s ["--- ",{"text":"Mob Spawning","color":"#f6d253"}," ---"]

execute if score swarm_toggle config.gbz matches 0 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/swarm_off"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"green"}," Swarm Zombie"]
execute if score swarm_toggle config.gbz matches 1 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/swarm_on"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"red"}," Swarm Zombie"]

execute if score acid_spewer_toggle config.gbz matches 0 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/acid_spewer_off"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"green"}," Acid Spewer"]
execute if score acid_spewer_toggle config.gbz matches 1 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/acid_spewer_on"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"red"}," Acid Spewer"]

execute if score acid_spitter_toggle config.gbz matches 0 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/acid_spitter_off"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"green"}," Acid Spitter"]
execute if score acid_spitter_toggle config.gbz matches 1 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/acid_spitter_on"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"red"}," Acid Spitter"]

execute if score builder_toggle config.gbz matches 0 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/builder_off"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"green"}," Builder Zombie"]
execute if score builder_toggle config.gbz matches 1 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/builder_on"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"red"}," Builder Zombie"]

execute if score miner_toggle config.gbz matches 0 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/miner_off"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"green"}," Miner Zombie"]
execute if score miner_toggle config.gbz matches 1 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/miner_on"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"red"}," Miner Zombie"]

execute if score nurse_toggle config.gbz matches 0 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/nurse_off"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"green"}," Nurse Zombie"]
execute if score nurse_toggle config.gbz matches 1 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/nurse_on"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"red"}," Nurse Zombie"]

execute if score psycho_toggle config.gbz matches 0 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/psycho_off"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"green"}," Psychopath Zombie"]
execute if score psycho_toggle config.gbz matches 1 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/psycho_on"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"red"}," Psychopath Zombie"]

execute if score scorched_toggle config.gbz matches 0 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/scorched_off"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"green"}," Scorched Zombie"]
execute if score scorched_toggle config.gbz matches 1 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/scorched_on"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"red"}," Scorched Zombie"]

execute if score dj_toggle config.gbz matches 0 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/dj_off"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"green"}," DJ Zombie"]
execute if score dj_toggle config.gbz matches 1 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/dj_on"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"red"}," DJ Zombie"]

execute if score zombie_villager_toggle config.gbz matches 0 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/zombie_villager_off"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"green"}," Zombie Villager"]
execute if score zombie_villager_toggle config.gbz matches 1 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/zombie_villager_on"},"hover_event":{"action":"show_text","value":"Change this zombie's ability to spawn naturally."},"color":"red"}," Zombie Villager"]

execute if score animal_toggle config.gbz matches 0 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/animal_zombies_off"},"hover_event":{"action":"show_text","value":"Change whether or not zombified animals will spawn."},"color":"green"}," Zombie Animals"]
execute if score animal_toggle config.gbz matches 1 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/animal_zombies_on"},"hover_event":{"action":"show_text","value":"Change whether or not zombified animals will spawn."},"color":"red"}," Zombie Animals"]

execute if score player_zombies_toggle config.gbz matches 0 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/player_zombies_off"},"hover_event":{"action":"show_text","value":"Change whether players spawn zombies upon death to a zombie."},"color":"green"}," Player Zombies"]
execute if score player_zombies_toggle config.gbz matches 1 run tellraw @s ["",{"text":"[O]","click_event":{"action":"run_command","command":"/function config:z/player_zombies_on"},"hover_event":{"action":"show_text","value":"Change whether players spawn zombies upon death to a zombie."},"color":"red"}," Player Zombies"]

tellraw @s ["-----------------------------"]
