# Difficulty Trigger Command
scoreboard players enable @a gbz.difficulty
execute as @a[scores={gbz.difficulty=1..}] run function apocalypse:misc/setting_difficulty/setting
scoreboard players reset @a[scores={gbz.difficulty=1..}] gbz.difficulty

# Zombie Spawning
execute as @e[type=#apocalypse:zombie_replaceable,tag=!gbz.zombie,sort=random] at @s if predicate apocalypse:overworld run function apocalypse:spawn/zombie/spawn_zombie
execute as @e[type=drowned,tag=!gbz.water_zombie,sort=random] at @s run function apocalypse:spawn/drowned/conversion
execute as @e[type=#apocalypse:drowned_replaceable,tag=!gbz.water_zombie,sort=random] at @s run function apocalypse:spawn/drowned/naturally
execute unless score animal_toggle config.gbz matches 1 as @e[type=chicken,tag=!gbz.zombie,sort=random] at @s if predicate apocalypse:overworld run function apocalypse:spawn/animal/spawn_chicken
execute unless score animal_toggle config.gbz matches 1 as @e[type=pig,tag=!gbz.zombie,sort=random] at @s if predicate apocalypse:overworld run function apocalypse:spawn/animal/spawn_pig
execute unless score animal_toggle config.gbz matches 1 as @e[type=sheep,tag=!gbz.zombie,sort=random] at @s if predicate apocalypse:overworld run function apocalypse:spawn/animal/spawn_sheep
execute unless score animal_toggle config.gbz matches 1 as @e[type=cow,tag=!gbz.zombie,sort=random] at @s if predicate apocalypse:overworld run function apocalypse:spawn/animal/spawn_cow
execute unless score animal_toggle config.gbz matches 1 as @e[type=horse,tag=!gbz.zombie,sort=random] at @s if predicate apocalypse:overworld run function apocalypse:spawn/animal/spawn_horse

# Horde Night Spawning
#execute as @a if score @s gbz.nightmare.horde_cooldown matches 0 run function apocalypse:horde_night/can_spawn
#scoreboard players remove @a[scores={gbz.nightmare.horde_cooldown=1..}] gbz.nightmare.horde_cooldown 1

#Zombie Animal Death
execute as @e[type=#apocalypse:zombie_animal_total] at @s run function apocalypse:zombie_abilities/kill_brain

#Player Zombie Spawning
execute as @a[scores={gbz.player_death=1..}] at @s run function apocalypse:spawn/player_zombie/spawn

# Zombie Loop
execute at @a as @e[type=#apocalypse:is_zombie,distance=..256] at @s run function apocalypse:zombie_loop


